//===================== This code is made by Harm van Vugt for painting displaying wind data ===========
//== feel free to use any

#include <ESP8266WiFi.h>
#include <ESP8266HTTPClient.h>
#include <ArduinoJson.h>
#include <elapsedMillis.h>
#include "clsPCA9555.h"
#include "Wire.h"


/**************************** INIT ***********************************/
// ALL GLobal vars, I know this should be better, or not?

const char* JsonURL = "http://supplement.nl/wind/aeolusFeed.php";
//const char* JsonURL = "http://supplement.nl/wind/aeolusDataTest.json";
DynamicJsonDocument doc(7000); //6780 berekend via https://arduinojson.org/v6/assistant/

elapsedMillis teller1; //create counter, to store the time between intervals getting data from internet

// /I2C Adresses of Days of the tomatoo
PCA9555 day1(0x20); 
PCA9555 day2(0x21); 
PCA9555 day3(0x24);

bool firstRun = true; //for testing, without I should wait to get data from the interent
int itemsArray;
int huidigUur;
int huidigMaand;
int wireOffset;
bool volgendeDag;
int pulseLength = 60; //time a wire heats (cooling down time is 35 x pulslength, so in case of 80ms = 2.8 sec)
int pulseCooldown = 0; 
int wire[] = { 1,   2,    3,    4,    5,    6,    7,    12,   13,   14,   15,     0};
//  INDEX     0=10u,1=11u,2=12u,3=13u,4=14u,5=15u,6=16u,7=17u,8=18u,9=19u,10=20u, 11=21:00

/******************************* WIFI *********************************/
const char* ssid = "Hutspot";
const char* password = "88888888";
