void voorspellingenDataArray(String jsonString) {
  //----- create Json Array from string
  deserializeJson(doc, jsonString);
  JsonArray voorspellingen = doc["voorspellingen"]; //doc is a global variable

  int sunSet[] = {0, 17, 18, 19, 20, 21, 22, 22, 21, 20, 19, 17, 16}; // ---- sunset/maand? eerste is 0, want dan is januari nr 1 in array
  volgendeDag = false; // zodat de uur wires niet uitgaan bij volgnde dag

  itemsArray = doc["voorspellingen"].size(); //hoeveel voorspellingen bevat de Array?
  Serial.print(" - items in Array:");   Serial.println(itemsArray);

  /**************** START DATA   ***********************/
  //int wireNR;
  int eersteVoorspelling = doc["voorspellingen"][0]["uur"].as<int>();
  wireOffset = eersteVoorspelling - 10; //Data van 10 uur moet op wire positie 0

  /***************  DON'T SHOW TODAYS FORECAST, TWO HOURS FOR SUNSET ***************/
  huidigUur = doc["voorspellingen"][itemsArray - 1]["huidigUur"].as<int>();
  huidigMaand = doc["voorspellingen"][itemsArray - 1]["huidigMaand"].as<int>();
  // Serial.print("huidigUur: ");   Serial.print(huidigUur);
  //  Serial.print(" huidigMaand: ");   Serial.println(huidigMaand);
  if (huidigUur >= (sunSet[huidigMaand] - 2)) {
    wireOffset = wireOffset - 13;    // wires aanzetten met de offzet van voorspellingen
    volgendeDag = true;
  }
}

void wireHeater() {

  /**************** Data from array to wires  ***********************/
  for (int x = 0; x < itemsArray - 1; x++) { //last in Json is the time and day, so take -1
    int VoorspellingHour = doc["voorspellingen"][x]["uur"].as<int>();
    int VoorspellingWind = doc["voorspellingen"][x]["wind"].as<int>();

    int wireNR = wireOffset + x;

  delay(pulseCooldown);//adjust the cooldown time based on room temp from NTC
  Serial.println (pulseCooldown);


    if (huidigUur > 22 || huidigUur < 7) { //ALLE wires uitzetten als het nacht is
      Serial.println("don't display wind, it is dark");

      /* // --- DON'T SHOW PREDICTIONS FOR SUNSET HOURS (I DON'T SURF IN THE DARK)
        } else if (VoorspellingHour > sunSet[huidigMaand]) { //Voorspelling na donker niet weergeven
          Serial.print(" Zon is Onder ");
          day1.digitalWrite(x, 0); //SUNSET HEATWIRES OFF
      */
    } else if (VoorspellingHour == 22) { // 22:00 cannot be displayed
      // Serial.println("22:00 will not be displayed ");

    } else if ((huidigUur >= wireNR + 10) && !volgendeDag) { // wires uitzetten die geweest zijn
      // Serial.print(" verstreken tijd ");

    } else if (VoorspellingWind > 14) {

      // DAY 1 TODAY ----------
      if (x < 12) {
        day1.digitalWrite(wire[x], 1); //Heatwire ON
        delay(pulseLength);
        day1.digitalWrite(wire[x], 0); //Heatwire off
        Serial.print(" Pad 1 heat wire: ");  Serial.println(x);

        // DAY 2 - TOMORROW  ----------
      } else if (x >= 12 && x < 24) {
        int nrWire2 = x - 12; //converts the x to the arrayPos where the wires are stored
        day2.digitalWrite(wire[nrWire2], 1); //Heatwire ON
        delay(pulseLength);
        day2.digitalWrite(wire[nrWire2], 0); //OFF
        Serial.print("  Pad 2 heat wire: ");  Serial.println(nrWire2);


        // DAY 3 - Afther TOMORROW  ----------
      } else if (x >= 24 && x < 36) {
        int nrWire3 = x - 24; //converts the x to the arrayPos where the wires are stored
        day3.digitalWrite(wire[nrWire3], 1); //Heatwire on
        Serial.print("  Pad 3 heat wire: ");  Serial.println(nrWire3);
        delay(pulseLength);
        day3.digitalWrite(wire[nrWire3], 0); //Heatwire iff
      }


      /* ------  debug en tesT------------
        Serial.print(". x: ");   Serial.print(x);
        Serial.print(". Hour: ");   Serial.print(VoorspellingHour);
        Serial.print(" . Wind: ");   Serial.println(VoorspellingWind);
      */

    } else {
      Serial.println (" < 14kn No heated wires");
              delay(pulseLength);

    }

    
  }
}
